
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;



public class Thread11 {


  //Frame konstruieren
  public Thread11() {
  } // create


private void test1() {
  MyThread  t = new MyThread ();
  Thread  cpu = new Thread(t);
    System.out.println("vor start");
   t.starte();

 // cpu.start();
    System.out.println("nach start");
}



  public static void main(String[] args) {
    Thread11 frame = new Thread11();
    frame.test1();
  }


}



class MyThread implements Runnable {

   Thread cpu;

  public MyThread() {
    cpu = new Thread(this);
   
  }
  public void starte() {
      cpu.start();
  }

   public void run() {
     System.out.println("Start Thread");
   }


}




/*

    try {
      Thread.sleep(50);
    } catch (InterruptedException e) {
    }


*/
